## org.eclipse.emf.databinding.edit.internal
Class EMFEditValuePropertyDecorator

    java.lang.Object
      org.eclipse.core.databinding.property.value.ValueProperty
          org.eclipse.emf.databinding.edit.internal.EMFEditValuePropertyDecorator

All Implemented Interfaces:
  IProperty, IValueProperty, IEMFEditProperty, IEMFEditValueProperty, IEMFProperty, IEMFValueProperty

    public class EMFEditValuePropertyDecorator

extends ValueProperty
implements IEMFEditValueProperty

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

Since:
  2.5

Constructor Summary
`EMFEditValuePropertyDecorator(EditingDomain editingDomain, IValueProperty delegate, EStructuralFeature eStructuralFeature)`

Method Summary
`EditingDomain` `getEditingDomain()`
`EStructuralFeature` `getStructuralFeature()` Returns the descriptor of the `EStructuralFeature` being observed.
`java.lang.Object` `getValueType()`
`IEMFEditListProperty` `list(EStructuralFeature feature)` Returns a master-detail combination of this property and the specified list feature.
`IEMFEditListProperty` `list(IEMFEditListProperty property)` Returns a master-detail combination of this property and the specified list property.
`IEMFEditListProperty` `list(IEMFListProperty property)` Returns a master-detail combination of this property and the specified list property.
`IEMFEditMapProperty` `map(EStructuralFeature feature)` Returns a master-detail combination of this property and the specified map feature.
`IEMFEditMapProperty` `map(IEMFEditMapProperty property)` Returns a master-detail combination of this property and the specified map property.
`IEMFEditMapProperty` `map(IEMFMapProperty property)` Returns a master-detail combination of this property and the specified map property.
`IObservableValue` `observe(java.lang.Object source)`
`IObservableValue` `observe(Realm realm, java.lang.Object source)`
`IObservableList` `observeDetail(IObservableList master)`
`IObservableMap` `observeDetail(IObservableMap master)`
`IObservableMap` `observeDetail(IObservableSet master)`
`IObservableValue` `observeDetail(IObservableValue master)`
`IEMFEditSetProperty` `set(EStructuralFeature feature)` Returns a master-detail combination of this property and the specified set property.
`IEMFEditSetProperty` `set(IEMFEditSetProperty property)` Returns a master-detail combination of this property and the specified set property.
`IEMFSetProperty` `set(IEMFSetProperty property)` Returns a master-detail combination of this property and the specified set property.
`java.lang.String` `toString()`
`IEMFEditValueProperty` `value(EStructuralFeature feature)` Returns a master-detail combination of this property and the specified value feature.
`IEMFEditValueProperty` `value(FeaturePath featurePath)` Returns a master-detail combination of this property and the specified nested value feature.
`IEMFEditValueProperty` `value(IEMFEditValueProperty property)` Returns a master-detail combination of this property and the specified value property.
`IEMFEditValueProperty` `value(IEMFValueProperty property)` Returns a master-detail combination of this property and the specified value property.
`IObservableFactory` `valueFactory()`
`IObservableFactory` `valueFactory(Realm realm)`

Methods inherited from class org.eclipse.core.databinding.property.value.ValueProperty
`list, map, set, value`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.databinding.property.value.IValueProperty
`list, map, set, value`

Constructor Detail

### EMFEditValuePropertyDecorator

    public EMFEditValuePropertyDecorator(EditingDomain editingDomain,
                                         IValueProperty delegate,
                                         EStructuralFeature eStructuralFeature)

Parameters:
  `editingDomain` -
  `delegate` -
  `eStructuralFeature` -

Method Detail

### getStructuralFeature

    public EStructuralFeature getStructuralFeature()

  Description copied from interface: `IEMFProperty`
  Returns the descriptor of the `EStructuralFeature` being observed.

  Specified by:
    `getStructuralFeature` in interface `IEMFProperty`
  Returns:
    the `EStructuralFeature` being observed

### getValueType

    public java.lang.Object getValueType()

  Specified by:
    `getValueType` in interface `IValueProperty`

### value

    public IEMFEditValueProperty value(EStructuralFeature feature)

  Description copied from interface: `IEMFEditValueProperty`
  Returns a master-detail combination of this property and the specified value feature.

  Specified by:
    `value` in interface `IEMFEditValueProperty`
  Specified by:
    `value` in interface `IEMFValueProperty`
  Parameters:
    `feature` - the nested value property to observe.
  Returns:
    a master-detail combination of this property and the specified value feature.
  See Also:
    `IEMFEditValueProperty.value(IEMFEditValueProperty)`

### value

    public IEMFEditValueProperty value(FeaturePath featurePath)

  Description copied from interface: `IEMFEditValueProperty`
  Returns a master-detail combination of this property and the specified nested value feature.

  Specified by:
    `value` in interface `IEMFEditValueProperty`
  Specified by:
    `value` in interface `IEMFValueProperty`
  Parameters:
    `featurePath` - the nested value property to observe.
  Returns:
    a master-detail combination of this property and the specified nested value feature.
  See Also:
    `IEMFEditValueProperty.value(IEMFEditValueProperty)`

### value

    public IEMFEditValueProperty value(IEMFEditValueProperty property)

  Description copied from interface: `IEMFEditValueProperty`
  Returns a master-detail combination of this property and the specified value property. The returned property will observe the specified detail value property for the value of the master value property.

  Example:

       // Observes the Node-typed "parent" property of a Node object
       IEMFValueProperty parent = EMFProperties.value(MyPackage.Literals.NODE_PARENT);
       // Observes the string-typed "name" property of a Node object
       IEMFValueProperty name = EMFProperties.value(MyPackage.Literals.NODE_NAME);
       // Observes the name of the parent of a Node object.
       IEMFValueProperty parentName = parent.value(name);

  Specified by:
    `value` in interface `IEMFEditValueProperty`
  Parameters:
    `property` - the detail property to observe
  Returns:
    a master-detail combination of this property and the specified value property.

### list

    public IEMFEditListProperty list(EStructuralFeature feature)

  Description copied from interface: `IEMFEditValueProperty`
  Returns a master-detail combination of this property and the specified list feature.

  Specified by:
    `list` in interface `IEMFEditValueProperty`
  Specified by:
    `list` in interface `IEMFValueProperty`
  Parameters:
    `feature` - the list feature to observe
  Returns:
    a master-detail combination of this property and the specified list feature.
  See Also:
    `IEMFEditValueProperty.list(IEMFEditListProperty)`

### list

    public IEMFEditListProperty list(IEMFEditListProperty property)

  Description copied from interface: `IEMFEditValueProperty`
  Returns a master-detail combination of this property and the specified list property. The returned property will observe the specified list property for the value of the master property.

  Example:

       // Observes the Node-typed "parent" property of a Node object.
       IEMFValueProperty parent = EMFProperties.value(MyPackage.Literals.NODE_PARENT);
       // Observes the List-typed "children" property of a Node object
       // where the elements are Node objects
       IEMFListProperty children = EMFProperties.list(MyPackage.Literals.NODE_CHILDREN);
       // Observes the children of the parent (siblings) of a Node object.
       IEMFListProperty siblings = parent.list(children);

  Specified by:
    `list` in interface `IEMFEditValueProperty`
  Parameters:
    `property` - the detail property to observe
  Returns:
    a master-detail combination of this property and the specified list property.

### set

    public IEMFEditSetProperty set(EStructuralFeature feature)

  Description copied from interface: `IEMFEditValueProperty`
  Returns a master-detail combination of this property and the specified set property.

  Specified by:
    `set` in interface `IEMFEditValueProperty`
  Specified by:
    `set` in interface `IEMFValueProperty`
  Parameters:
    `feature` - the set feature to observe
  Returns:
    a master-detail combination of this property and the specified set property.
  See Also:
    `IEMFValueProperty.set(IEMFSetProperty)`

### set

    public IEMFEditSetProperty set(IEMFEditSetProperty property)

  Description copied from interface: `IEMFEditValueProperty`
  Returns a master-detail combination of this property and the specified set property. The returned property will observe the specified set property for the value of the master property.

  Example:

       // Observes the Node-typed "parent" property of a Node object.
       IEMFValueProperty parent = EMFProperties.value(MyPackage.Literals.NODE__PARENT);
       // Observes the Set-typed "children" property of a Node object
       // where the elements are Node objects
       IEMFSetProperty children = EMFProperties.set(MyPackage.Literals.NODE__CHILDREN);
       // Observes the children of the parent (siblings) of a Node object.
       IEMFSetProperty siblings = parent.set(children);

  Specified by:
    `set` in interface `IEMFEditValueProperty`
  Parameters:
    `property` - the detail property to observe
  Returns:
    a master-detail combination of this property and the specified set property.

### map

    public IEMFEditMapProperty map(EStructuralFeature feature)

  Description copied from interface: `IEMFEditValueProperty`
  Returns a master-detail combination of this property and the specified map feature.

  Specified by:
    `map` in interface `IEMFEditValueProperty`
  Specified by:
    `map` in interface `IEMFValueProperty`
  Parameters:
    `feature` - the map property to observe
  Returns:
    a master-detail combination of this property and the specified map feature.
  See Also:
    `IEMFEditValueProperty.map(IEMFEditMapProperty)`

### map

    public IEMFEditMapProperty map(IEMFEditMapProperty property)

  Description copied from interface: `IEMFEditValueProperty`
  Returns a master-detail combination of this property and the specified map property. The returned property will observe the specified map property for the value of the master property.

  Example:

       // Observes the Contact-typed "supervisor" property of a
       // Contact class
       IEMFValueProperty supervisor = EMFProperties.value(MyPackage.Literals.CONTACT_SUPERVISOR);
       // Observes the property "phoneNumbers" of a Contact object--a property mapping
       // from PhoneNumberType to PhoneNumber "set-typed "children",
       IEMFMapProperty phoneNumbers = EMFProperties.map(MyPackage.Literals.CONTACT_PHONENUMBERS);
       // Observes the phone numbers of a contact's supervisor:
       IEMFMapProperty supervisorPhoneNumbers = supervisor.map(phoneNumbers);

  Specified by:
    `map` in interface `IEMFEditValueProperty`
  Parameters:
    `property` - the detail property to observe
  Returns:
    a master-detail combination of this property and the specified map property.

### observe

    public IObservableValue observe(java.lang.Object source)

  Specified by:
    `observe` in interface `IValueProperty`
  Overrides:
    `observe` in class `ValueProperty`

### observe

    public IObservableValue observe(Realm realm,
                                    java.lang.Object source)

  Specified by:
    `observe` in interface `IValueProperty`

### valueFactory

    public IObservableFactory valueFactory()

  Specified by:
    `valueFactory` in interface `IValueProperty`
  Overrides:
    `valueFactory` in class `ValueProperty`

### valueFactory

    public IObservableFactory valueFactory(Realm realm)

  Specified by:
    `valueFactory` in interface `IValueProperty`
  Overrides:
    `valueFactory` in class `ValueProperty`

### observeDetail

    public IObservableValue observeDetail(IObservableValue master)

  Specified by:
    `observeDetail` in interface `IValueProperty`
  Overrides:
    `observeDetail` in class `ValueProperty`

### observeDetail

    public IObservableList observeDetail(IObservableList master)

  Specified by:
    `observeDetail` in interface `IValueProperty`

### observeDetail

    public IObservableMap observeDetail(IObservableSet master)

  Specified by:
    `observeDetail` in interface `IValueProperty`

### observeDetail

    public IObservableMap observeDetail(IObservableMap master)

  Specified by:
    `observeDetail` in interface `IValueProperty`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getEditingDomain

    public EditingDomain getEditingDomain()

  Specified by:
    `getEditingDomain` in interface `IEMFEditProperty`
  Returns:
    the editing domain to execute commands

### list

    public IEMFEditListProperty list(IEMFListProperty property)

  Description copied from interface: `IEMFValueProperty`
  Returns a master-detail combination of this property and the specified list property. The returned property will observe the specified list property for the value of the master property.

  Example:

       // Observes the Node-typed "parent" property of a Node object.
       IEMFValueProperty parent = EMFProperties.value(MyPackage.Literals.NODE_PARENT);
       // Observes the List-typed "children" property of a Node object
       // where the elements are Node objects
       IEMFListProperty children = EMFProperties.list(MyPackage.Literals.NODE_CHILDREN);
       // Observes the children of the parent (siblings) of a Node object.
       IEMFListProperty siblings = parent.list(children);

  Specified by:
    `list` in interface `IEMFEditValueProperty`
  Specified by:
    `list` in interface `IEMFValueProperty`
  Parameters:
    `property` - the detail property to observe
  Returns:
    a master-detail combination of this property and the specified list property.

### map

    public IEMFEditMapProperty map(IEMFMapProperty property)

  Description copied from interface: `IEMFValueProperty`
  Returns a master-detail combination of this property and the specified map property. The returned property will observe the specified map property for the value of the master property.

  Example:

       // Observes the Contact-typed "supervisor" property of a
       // Contact class
       IEMFValueProperty supervisor = EMFProperties.value(MyPackage.Literals.CONTACT_SUPERVISOR);
       // Observes the property "phoneNumbers" of a Contact object--a property mapping
       // from PhoneNumberType to PhoneNumber "set-typed "children",
       IEMFMapProperty phoneNumbers = EMFProperties.map(MyPackage.Literals.CONTACT_PHONENUMBERS);
       // Observes the phone numbers of a contact's supervisor:
       IEMFMapProperty supervisorPhoneNumbers = supervisor.map(phoneNumbers);

  Specified by:
    `map` in interface `IEMFEditValueProperty`
  Specified by:
    `map` in interface `IEMFValueProperty`
  Parameters:
    `property` - the detail property to observe
  Returns:
    a master-detail combination of this property and the specified map property.

### value

    public IEMFEditValueProperty value(IEMFValueProperty property)

  Description copied from interface: `IEMFValueProperty`
  Returns a master-detail combination of this property and the specified value property. The returned property will observe the specified detail value property for the value of the master value property.

  Example:

       // Observes the Node-typed "parent" property of a Node object
       IEMFValueProperty parent = EMFProperties.value(MyPackage.Literals.NODE_PARENT);
       // Observes the string-typed "name" property of a Node object
       IEMFValueProperty name = EMFProperties.value(MyPackage.Literals.NODE_NAME);
       // Observes the name of the parent of a Node object.
       IEMFValueProperty parentName = parent.value(name);

  Specified by:
    `value` in interface `IEMFEditValueProperty`
  Specified by:
    `value` in interface `IEMFValueProperty`
  Parameters:
    `property` - the detail property to observe
  Returns:
    a master-detail combination of this property and the specified value property.

### set

    public IEMFSetProperty set(IEMFSetProperty property)

  Description copied from interface: `IEMFValueProperty`
  Returns a master-detail combination of this property and the specified set property. The returned property will observe the specified set property for the value of the master property.

  Example:

       // Observes the Node-typed "parent" property of a Node object.
       IEMFValueProperty parent = EMFProperties.value(MyPackage.Literals.NODE__PARENT);
       // Observes the Set-typed "children" property of a Node object
       // where the elements are Node objects
       IEMFSetProperty children = EMFProperties.set(MyPackage.Literals.NODE__CHILDREN);
       // Observes the children of the parent (siblings) of a Node object.
       IEMFSetProperty siblings = parent.set(children);

  Specified by:
    `set` in interface `IEMFValueProperty`
  Parameters:
    `property` - the detail property to observe
  Returns:
    a master-detail combination of this property and the specified set property.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.